=== debian/changelog ===
ocfs2-tools (1.8.6-6) unstable; urgency=medium

  * debian/po: convert translations to UTF-8
  * debian/lintian-overrides: rename lintian tag
  * debian/patches: update descriptions
  * debian/control: use Standards-Version 4.5.1
  * debian/watch: update version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 23 Jan 2021 08:08:40 +0100

ocfs2-tools (1.8.6-5) unstable; urgency=medium

  * debian/control: limit build to linux architectures

 -- Valentin Vidic <vvidic@debian.org>  Thu, 21 May 2020 14:10:56 +0200

ocfs2-tools (1.8.6-4) unstable; urgency=medium

  * debian/patches: fix o2image segfault on s390x
  * debian/lintian-overrides: ignore manpage warning
  * debian/tests: update test output
  * debian/rules: move startup scripts to /usr/libexec

 -- Valentin Vidic <vvidic@debian.org>  Thu, 21 May 2020 13:35:08 +0200

ocfs2-tools (1.8.6-3) unstable; urgency=medium

  * debian/salsa-ci.yml: enable CI
  * debian/control: specify only supported architectures (LP: #1745155)
  * debian/salsa-ci.yml: disable blhc warnings
  * debian/control: update Standards-Version to 4.5.0
  * debian/control: use debhelper v13
  * debian/control: update Maintainer mailing list address
  * debian/NEWS: fix file name

 -- Valentin Vidic <vvidic@debian.org>  Wed, 13 May 2020 21:31:59 +0200

ocfs2-tools (1.8.6-2) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/defrag.ocfs2-make-getopt-portable.patch: make defragfs.ocfs2 portable
    to ARM64 (LP: #1840958)

  [ Valentin Vidic ]
  * debian/control: update Standards-Version to 4.4.1
  * debian/control: use debhelper v12
  * debian/control: set Rules-Requires-Root: no

 -- Valentin Vidic <vvidic@debian.org>  Sat, 16 Nov 2019 11:41:49 +0100

ocfs2-tools (1.8.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: refresh for new version
  * debian/patches: fix gcc warnings for handler
  * debian/patches: fix defragfs segfault
  * debian/tests: run new defragfs command
  * debian/patches: cleanup m4_include (Closes: #931083)
  * debian/patches: move libaio reference to Libs.private
  * debian/control: update Standards-Version to 4.4.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 19:59:27 +0200
