=== debian/changelog ===
ocfs2-tools (1.8.7-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:18:43 +0000

ocfs2-tools (1.8.7-1build3) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:33:59 +0000

ocfs2-tools (1.8.7-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:24:13 +0000

ocfs2-tools (1.8.7-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:13:58 +0000

ocfs2-tools (1.8.7-1) unstable; urgency=medium

  * New upstream version 1.8.7
  * debian/patches: refresh for new version
  * debian/control: use Standards-Version 4.6.0
  * debian/rules: drop systemd service files (Closes: #992103)
  * debian/tests: check additional init script actions
  * debian/tests: add online grow fs
  * debian/tests: add script for nocluster mode
  * debian/watch: update github url

 -- Valentin Vidic <vvidic@debian.org>  Sun, 07 Nov 2021 18:55:52 +0100
