=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ocfs2-tools
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), po-debconf, comerr-dev,
  uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
