=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
 Depends: ocfs2-tools
 Tests: basic
 Restrictions: needs-root
+
+Depends: ocfs2-tools
+Tests: nocluster
+Restrictions: needs-root, isolation-machine
 
 Depends: ocfs2-tools
 Tests: o2cb
