=== debian/changelog ===
ocfs2-tools (1.8.8-2) unstable; urgency=medium

  * debian/install: move files to /usr (Closes: #1073781)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 22 Jun 2024 20:16:12 +0200

ocfs2-tools (1.8.8-1) unstable; urgency=medium

  * New upstream version 1.8.8
  * debian/control: drop lsb-base dependency
  * debian/rules: include systemd units (Closes: #1039292)
  * debian/control: update build depends on libncurses-dev
  * debian/control: use Standards-Version 4.7.0
  * debian/lintian-overrides: update overrides
  * debian/tests: remove script for nocluster mode

 -- Valentin Vidic <vvidic@debian.org>  Sun, 12 May 2024 22:04:05 +0200
