=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ocfs2-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), po-debconf, comerr-dev,
- uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
+ uuid-dev, libncurses-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
  libblkid-dev (>= 1.36), libbz2-dev, libdevmapper-dev, libdlm-dev,
  libdlmcontrol-dev, libxml2-dev, libaio-dev, libcmap-dev
 Homepage: https://ocfs2.wiki.kernel.org/
@@ -16,7 +15,7 @@
 
 Package: ocfs2-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
 Pre-Depends: ${misc:Pre-Depends}
 Description: tools for managing OCFS2 cluster filesystems
  OCFS2 is a general purpose cluster filesystem. Unlike the initial release
