=== include/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = tools-internal ocfs2-kernel o2dlm o2cb ocfs2

include $(TOPDIR)/Postamble.make
