=== debian/changelog ===
ocfs2-tools (1.8.9-1) unstable; urgency=medium

  * New upstream version 1.8.9

 -- Valentin Vidic <vvidic@debian.org>  Wed, 13 Aug 2025 16:45:49 +0200

ocfs2-tools (1.8.8-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Valentin Vidic ]
  * debian/tests: try to fix mkfs.ocfs2 failure
  * debian/copyright: update FSF address
  * debian/control: use Standards-Version 4.7.2
  * debian/tests: skip basic test if mkfs cannot open the file

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 May 2025 19:03:58 +0200
