=== debian/rules ===
#!/usr/bin/make -f

# build fails when format hardening is on
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/init.d
	cp -f vendor/common/o2cb.init debian/tmp/etc/init.d/o2cb
	cp -f vendor/common/ocfs2.init debian/tmp/etc/init.d/ocfs2

override_dh_installinit:
	dh_installinit -pocfs2-tools --name=o2cb --only-scripts --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installinit -pocfs2-tools --name=ocfs2 --only-scripts --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd -pocfs2-tools --name=o2cb --no-enable --no-start --no-stop-on-upgrade
	dh_installsystemd -pocfs2-tools --name=ocfs2 --no-enable --no-start --no-stop-on-upgrade
