=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Depends: ocfs2-tools
 Tests: basic
-Restrictions: needs-root
-
-Depends: ocfs2-tools
-Tests: nocluster
-Restrictions: needs-root, isolation-machine
+Restrictions: needs-root, skippable
 
 Depends: ocfs2-tools
 Tests: o2cb
